## org.apache.fop.layout.hyphenation
Class CharVector

    java.lang.Object
      |
      +--org.apache.fop.layout.hyphenation.CharVector

public class CharVector
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

This class implements a simple char vector with access to the underlying array.

Author:
  Carlos Villegas <cav@uniscope.co.jp>
See Also:
  Serialized Form

Constructor Summary
`CharVector()`
`CharVector(char[] a)`
`CharVector(char[] a, int capacity)`
`CharVector(int capacity)`

Method Summary
`int` `alloc(int size)`
`int` `capacity()` returns current capacity of array
`void` `clear()` Reset Vector but don't resize or clear elements
`java.lang.Object` `clone()`
`char` `get(int index)`
`char[]` `getArray()`
`int` `length()` return number of items in array
`void` `put(int index, char val)`
`void` `trimToSize()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharVector

    public CharVector()

### CharVector

    public CharVector(int capacity)

### CharVector

    public CharVector(char[] a)

### CharVector

    public CharVector(char[] a,
                      int capacity)

Method Detail

### clear

    public void clear()

  Reset Vector but don't resize or clear elements

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### getArray

    public char[] getArray()

### length

    public int length()

  return number of items in array

### capacity

    public int capacity()

  returns current capacity of array

### put

    public void put(int index,
                    char val)

### get

    public char get(int index)

### alloc

    public int alloc(int size)

### trimToSize

    public void trimToSize()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.